org.richfaces.cache.lru

## Class LRUMap<K,V>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<K,V>
      - - org.richfaces.cache.lru.LRUMap<K,V>

- All Implemented Interfaces:
    Serializable, Cloneable, Map<K,V>
  Direct Known Subclasses:
    CacheMap

      public class LRUMap<K,V>
      extends LinkedHashMap<K,V>
      implements Serializable

  Last Recent Used Map cache. See `LinkedHashMap` for details.
  Author:
    asmirnov
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LRUMap()` Default capacity constructor
    `LRUMap(int capacity)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `removeEldestEntry(Map.Entry<K,V> entry)`

    - ### Methods inherited from class java.util.LinkedHashMap

      `clear, containsValue, get`

    - ### Methods inherited from class java.util.HashMap

      `clone, containsKey, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `containsKey, entrySet, equals, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

- - ### Constructor Detail

    - #### LRUMap

          public LRUMap()

      Default capacity constructor

    - #### LRUMap

          public LRUMap(int capacity)

      Parameters:
        `capacity` - - maximal cache capacity.

  - ### Method Detail

    - #### removeEldestEntry

          protected boolean removeEldestEntry(Map.Entry<K,V> entry)

      Overrides:
        `removeEldestEntry` in class `LinkedHashMap<K,V>`

Copyright © 2014 JBoss by Red Hat. All rights reserved.